Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overwidth Permit# 2021-02380, UID# 3027
App. Status: Expired

Valid: 06/01/2021 - 06/04/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2734 (05/28/2021)

Charge Cost Quantity Total
Non-Taxable
added 05/28/2021 12:07 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $30.00
Payment 05/28/2021$30.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantLance W. Hjelmen - 05/28/2021 12:09 PM
ff73d46985d15590755a77f6c199b3e0
b91a7ba7cf26c6d0fa75644326c51502
 
#1 Permit Issuing OfficialRachel Grimm - 05/28/2021 12:31 PM
e9138cd25fb23a4c21fd6f0a1f8b4eae
a83da8523a94b4fd3febf5270d8229d7
 
Permit has been approved. All signatures have been obtained.